package com.njcn.pojo.advanced;



import com.njcn.pojo.commons.WaveData;

public class PicDataObj {
	private String picName;
	private String picIndex;
	private String stringPt;
	private WaveData waveData;

	public String getPicName() {
		return picName;
	}

	public String getStringPt() {
		return stringPt;
	}

	public void setStringPt(String stringPt) {
		this.stringPt = stringPt;
	}

	synchronized public void setPicName(String picName) {
		this.picName = picName;
	}

	public String getPicIndex() {
		return picIndex;
	}

	public void setPicIndex(String picIndex) {
		this.picIndex = picIndex;
	}

	public WaveData getWaveData() {
		return waveData;
	}

	public void setWaveData(WaveData waveData) {
		this.waveData = waveData;
	}

	@Override
	public String toString() {
		return "PicDataObj{" +
				"picName='" + picName + '\'' +
				", picIndex='" + picIndex + '\'' +
				", stringPt='" + stringPt + '\'' +
				", waveData=" + waveData +
				'}';
	}
}
